Loading...
Searching...
No Matches
etl::rescale< TInput, TOutput > Class Template Reference

Rescale function. More...

`#include <rescale.h>`

## Public Member Functions

ETL_CONSTEXPR | rescale (TInput input_min_value_, TInput input_max_value_, TOutput output_min_value_, TOutput output_max_value_)
| Constructor.
ETL_CONSTEXPR TOutput | operator() (TInput value) const
| operator ()

## Additional Inherited Members

Public Types inherited from etl::unary_function< TOutput, TInput >
typedef TOutput | argument_type
typedef TInput | result_type

## Detailed Description

template<typename TInput, typename TOutput>
class etl::rescale< TInput, TOutput >

Rescale function.

The documentation for this class was generated from the following file:

- include/etl/rescale.h